create or replace package plpdf_reporter_docx
authid current_user is
--v5.19
--
-- v3.5.0
-- init
procedure init;
----------------------------------------
-- v3.4.0
-- genCode
function genCode(
  p_packagename varchar2,
  p_file in out blob,
  p_encoding varchar2 default null,
  p_image_table varchar2 default null, --v4.10
  p_package_header boolean default false,
  p_ascii_mode boolean default false, --v4.7.0
  p_force_vars boolean default false, --v4.7.0
  p_append_slash boolean default true, --v4.7.0
  p_styles_xml boolean default false, --v4.8.0
  p_file_table varchar2 default null --v4.10
  ) return clob;
----------------------------------------
--v4.9.6
function genDefaultHeader(
  p_packagename varchar2,
  p_append_slash boolean default false
  ) return clob;
----------------------------------------
--v4.9.6
function genMMBody(
  p_packagename varchar2,
  p_file in out blob,
  p_encoding varchar2 default null,
  p_image_table varchar2 default null
  ) return clob;
---------------------------------------
--v4.9.6
function genMMHeader(
  p_packagename varchar2,
  p_file in out blob
  ) return clob;
---------------------------------------
--v4.9.6
procedure setApp(
  p_app varchar2
  );
--v4.9.6
function getApp
  return varchar2;
---------------------------------------
end plpdf_reporter_docx;
/

